QEditorFactory(3qt)

NAME
QEditorFactory - Used to create editor widgets for QVariant data types

SYNOPSIS
#include <qeditorfactory.h>

Inherits QObject.

Inherited by QSqlEditorFactory.

  Public Members
QEditorFactory ( QObject * parent = 0, const char * name = 0 )
~QEditorFactory ()
virtual QWidget * createEditor ( QWidget * parent, const QVariant & v )

  Static Public Members
QEditorFactory * defaultFactory ()
void installDefaultFactory ( QEditorFactory * factory )

DESCRIPTION
The QEditorFactory class is used to create editor widgets for QVariant data types.

Each editor factory provides the createEditor() function which given a QVariant will create and return a QWidget that can edit that QVariant. For example if you have a QVariant::String type, a QLineEdit would be the default editor returned, whereas a QVariant::Int's default editor would be a QSpinBox.

If you want to create different editors for fields with the same data type, subclass QEditorFactory and reimplement the createEditor() function.

See also Advanced Widgets.

MEMBER FUNCTION DOCUMENTATION

QEditorFactory::QEditorFactory ( QObject * parent = 0, const char * name = 0 )
Constructs an editor factory with parent parent and name name.

QEditorFactory::~QEditorFactory ()
Destroys the object and frees any allocated resources.

QWidget * QEditorFactory::createEditor ( QWidget * parent, const QVariant & v ) [virtual]
Creates and returns the appropriate editor for the QVariant v. If the QVariant is invalid, 0 is returned. The parent is passed to the appropriate editor's constructor.

Reimplemented in QSqlEditorFactory.

QEditorFactory * QEditorFactory::defaultFactory () [static]
Returns an instance of a default editor factory.

void QEditorFactory::installDefaultFactory ( QEditorFactory * factory ) [static]
Replaces the default editor factory with factory. QEditorFactory takes ownership of factory, and destroys it when it is no longer needed.

SEE ALSO
http://doc.trolltech.com/qeditorfactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qeditorfactory.3qt) and the Qt version (3.0.3).